Core - Task # 56681

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-03-09 Assigned To:

Updated: 2014-03-09 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: easy

Sprint Focus:

Subject: Unit tests bootstrap simplification

Description

Related issues:

related to Core - Task # 55547: [CLEANUP] Remove references to $GLOBALS['FILE...

Resolved

2014-02-01

Associated revisions

Revision 59b76a52 - 2014-03-09 14:34 - Christian Kuhn

[TASK] Reduce unit test bootstrap

With the removal of $GLOBALS['FILEMOUNTS'] the unit test no longer
depend on initialization of backend user mounts. Remove this
bootstrap line.

Change-Id: 1€9860dd7b15a4baff330c8e3cad16d3ae3092e75
Resolves: #56681

Related: #55547

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.org/28190

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-03-09 14:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28190

#2 - 2014-03-09 15:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04
https://review.typo3.org/28190

Applied in changeset commit:59b76a52c17100fd4dccc901460b23a18dfa906d.
